#!/usr/local/bin/perl

#*------------------------------------------------*
#* COPYRIGHT (C) 1996                             *
#*         Northeast Parallel Architectures Center*
#*         Syracuse University                    *
#*------------------------------------------------*

#$Id$
#$Log$

require 'query-string.pl';
require 'html-util.pl';
require 'set-env.pl';


sub Print_Main_Window {
local($cmnd) = @_;

print<<END;   
Content-type: text/html

<HTML>
<HEAD>
<TITLE>VPL Display Window</TITLE>
</HEAD>

<FRAMESET ROWS="20%, *">

<FRAME SRC= "/cgi-bin/vpl2.0-bin/display-file.pl?HTML=1&FILENAME=$hdr"
       MARGINHEIGHT=0
       MARGINWIDTH=0
       SCROLLING = "auto">

<FRAME SRC="/cgi-bin/vpl2.0-bin/display-file.pl?FILENAME=$filename&DIRNAME=$dirname"
       MARGINHEIGHT=0
       MARGINWIDTH=0
       SCROLLING = "auto">

</FRAMESET>

<NOFRAMES>
<P>
You should use  "Javascript- and frame-enabled" Netscape 3.0 in order to use this software !
</NOFRAMES>
</HTML>
END
}

sub Save_Contents_Frame {
local($cmnd, $dirname, $filename) = @_;

print "<HTML><BODY><FORM><PRE>";
open(IN, "<$DemoDir/$dirname/$filename")||print"File not found:$DemoDir/$dirname/$filename";
open(OUT, "> $contentsFrame") || {};
while (<IN>) {
   print OUT $_;
}
print "OUT \n";
close(IN);
print OUT "</PRE>";

print OUT "</FORM>";
print OUT "</BODY></HTML>\n";
close(OUT);
}

sub Save_Header_Frame {
local($cmnd) = @_;

if ($cmnd eq "DOWNLOAD") {
      $msg = "<H3> VPL File Download </H3>";
      $msg .= "The selected file \"$dirname/$filename\" is listed below. <BR>";
      $msg .= "Select the frame below containing the file to be downloaded and choose the  [<B>S</B>ave Frame As...] from the [File] options.";
}
elsif ($cmnd eq "PRINT") {
      $msg = "<H3> VPL File Printout </H3>";
      $msg .= "The selected file \"$dirname/$filename\" is listed below. <BR>";
      $msg .= "Select the frame below containing the file to be printed and choose the  [<B>P</B>rint Frame...] from the [File] options.";
}
elsif ($cmnd eq "VIEW") {
      $msg = "<H3> VPL File View </H3>";
      $msg .= "The selected file \"$dirname/$filename\" is listed below. <BR>";
}

print "<form><input TYPE=button VALUE= Close Window onClick=parent.close(this)></form></center>";

open OUT, ">$headerFrame";
print ">$DemoDir.$headerFrame";
print OUT<<END;
      <HTML><FORM>
      $msg
      <center>
      <input TYPE="button" VALUE="Close Window" onClick='parent.close(this)'>
      </center>
      </FORM></HTML>
END

}

   &Read_Query_String();
   &Parse_Query_String();
   &Define_Constants();
   $filename = $MYDATA{'FILENAME'};
   $dirname = $MYDATA{'DIRNAME'};
   $cmnd =   $MYDATA{'CMND'};
  
#select(STDOUT); $|=1;
   
   $headerFrame = "$DemoDir/";
   $contentsFrame = "$DemoDir/";
   if ($cmnd eq "DOWNLOAD") {
      $hdr = ".hdr_dload.html";
      $contentsFrame .= ".cnts_dload.html";
   } elsif ($cmnd eq "PRINT") {
      $hdr .= ".hdr_print.html";
      $contentsFrame .= ".cnts_dload.html";
   } elsif ($cmnd eq "VIEW") {
      $hdr .= ".hdr_view.html";
      $contentsFrame .= ".cnts_dload.html";
   }
   else { &htmlDie("Error at command: $cmnd");}
   $headerFrame = $headerFrame . $hdr;

   &Save_Header_Frame($cmnd);
   &Save_Contents_Frame($cmnd, $dirname, $filename);
   &Print_Main_Window($cmnd); 
  


