/*
 * File         : Cartcomm.java
 * Author       : Xinying Li
 * Created      : Thu Apr  9 12:22:15 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/08/26 18:49:51 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

package mpi;

public class Cartcomm extends Intracomm {

  public Cartcomm() {}
  public Cartcomm(long _handle) { handle = _handle;}  

  public Object clone()
  {  return new Cartcomm(super.dup());
     }

  public native CartParms Get();

  public native int Rank(int[] coords);

  public native int [] Coords(int rank);

  public native ShiftParms Shift(int direction, int disp);

  public Cartcomm Sub(boolean [] remain_dims)
  { return new Cartcomm(sub(remain_dims));
	}
  private native long sub(boolean [] remain_dims);

  public native int Map(int [] dims, boolean [] periods);
 
  static public native void Dims_create(int nnodes, int ndims, int[] dims);

  public int maxdims;

}

