/*
 * File         : type_size.java
 * Author       : Sung-Hoon Ko
 * Created      : Fri Jul 10 15:07:58 1998
 * Revision     : $Revision: 1.1.1.1 $
 * Updated      : $Date: 1998/08/20 16:32:44 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */


import mpi.*;

class type_size {
  static public void main(String[] args) {   
    int my_rank;
    
  
    MPI.Init(args);   
    
    System.out.println();
    System.out.println("MPI_Type_size (MPI.BYTE)    = "+ MPI.BYTE.Size());
    System.out.println("MPI_Type_size (MPI.CHAR)    = "+ MPI.CHAR.Size());
    System.out.println("MPI_Type_size (MPI.SHORT)   = "+ MPI.SHORT.Size());
    System.out.println("MPI_Type_size (MPI.BOOLEAN) = "+ MPI.BOOLEAN.Size());
    System.out.println("MPI_Type_size (MPI.INT)     = "+ MPI.INT.Size());
    System.out.println("MPI_Type_size (MPI.LONG)    = "+ MPI.LONG.Size());
    System.out.println("MPI_Type_size (MPI.FLOAT)   = "+ MPI.FLOAT.Size());
    System.out.println("MPI_Type_size (MPI.DOUBLE)  = "+ MPI.DOUBLE.Size());
    System.out.println();

    MPI.Finalize();


  }
}
