#!/usr/local/bin/perl

#*------------------------------------------------*
#* COPYRIGHT (C) 1996                             *
#*         Northeast Parallel Architectures Center*
#*         Syracuse University                    *
#*------------------------------------------------*

#>-----------------------------------------------------------------<
#> Function    : gracefully kill the output form in case of error.
#> In Arguments: error message ($msg).
#> Side Effect : on stdout.
#>-----------------------------------------------------------------<
sub htmlDie {
   local($msg) = @_;
   print "Content-type: text/html\n\n";
   print "<HTML> <HEAD> \n";
   print "<TITLE>IMMATURE TERMINATION</TITLE>\n";
   print "</HEAD>\n";
   print "<BODY> <FORM>";
   print "<FONT COLOR=red> Error:</FONT> $msg <BR>\n";
print<<END;
<CENTER>
<SCRIPT>
<!-----
    document.write('<input type="button" value=" < Back " onClick="history.back()">');
//----->
</SCRIPT>
</CENTER>
</FORM>
END
   print "</BODY>\n";
   print "</HTML>\n";
   die;
}

sub htmlDieWOButton {
   local($msg) = @_;
   print "Content-type: text/html\n\n";
   print "<HTML> <HEAD> \n";
   print "<TITLE>IMMATURE TERMINATION</TITLE>\n";
   print "</HEAD>\n";
   print "<BODY>";
   print "<FONT COLOR=red> Error:</FONT> $msg <BR>\n";
   print "</BODY>\n";
   print "</HTML>\n";
   die;
}
#>-----------------------------------------------------------------<
#> Function    : prints given message onto stdout in HTML format. 
#> In Arguments: message ($msg). 
#> Side Effect : on stdout.
#>-----------------------------------------------------------------<
sub htmlPrint {
   local($msg) = @_;
   print "$msg \n";
}

sub htmlPrintwOpen {
   local($msg) = @_;
   print "Content-type: text/html\n\n";
   print "<HTML> <HEAD> \n";
   print "<TITLE>STATUS</TITLE>\n";
   print "</HEAD>\n";
   print "<BODY BGCOLOR=\"white\">";
   print "$msg <BR>\n";
}
1;
