/*
 * File         : Intercomm.java
 * Author       : Xinying Li
 * Created      : Thu Apr  9 12:22:15 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/08/26 18:49:58 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

package mpi;
import mpi.*;

public class Intercomm extends Comm {

  public Intercomm() {}
  public Intercomm(int Type) { GetComm(Type);}
  public Intercomm(long _handle) { handle = _handle;}

  public Object clone()
  {  return new Intercomm(super.dup());
     }

  // Inter-Communication
  public native int Remote_size();

  private native long remote_group();
  public Group Remote_group()
  {  return new Group(remote_group());
     }

  public Intracomm Merge(boolean high)
  {  return new Intracomm(merge(high));
     }
  private native long merge(boolean high);
}
